Bug 1003402 - rubygem-sup-0.22.1 is available
rubygem-sup-0.22.1 is available
Status: NEW
Product: Fedora
Classification: Fedora
Component: rubygem-sup (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Shreyank Gupta
Fedora Extras Quality Assurance
: FutureFeature, Triaged
: 681832 (view as bug list)
Depends On: 907393 1060924
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-01 19:08 EDT by Upstream Release Monitoring
Modified: 2016-07-15 09:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 0.22.0 (#1003402) (954 bytes, text/x-diff)
2015-06-16 09:27 EDT, Upstream Release Monitoring
no flags Details
[patch] Update to 0.22.1 (#1003402) (954 bytes, text/x-diff)
2015-06-18 09:28 EDT, Upstream Release Monitoring
no flags Details

  None (edit)
Description Upstream Release Monitoring 2013-09-01 19:08:29 EDT
Latest upstream release: 0.14.1
Current version/release in Fedora Rawhide: 0.10.2-12.fc20
URL: http://rubygems.org/api/v1/gems/sup.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Upstream Release Monitoring 2013-10-30 11:29:50 EDT
Latest upstream release: 0.14.1.1
Current version/release in Fedora Rawhide: 0.10.2-12.fc20
URL: http://rubygems.org/api/v1/gems/sup.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 2 Upstream Release Monitoring 2013-11-15 06:28:29 EST
Latest upstream release: 0.15.0
Current version/release in Fedora Rawhide: 0.10.2-12.fc20
URL: http://rubygems.org/api/v1/gems/sup.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 3 Upstream Release Monitoring 2013-12-05 04:44:32 EST
Latest upstream release: 0.15.1
Current version/release in Fedora Rawhide: 0.10.2-12.fc20
URL: http://rubygems.org/api/v1/gems/sup.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 4 Upstream Release Monitoring 2013-12-20 05:37:26 EST
Latest upstream release: 0.15.2
Current version/release in Fedora Rawhide: 0.10.2-12.fc20
URL: http://rubygems.org/api/v1/gems/sup.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 5 Upstream Release Monitoring 2014-01-30 05:24:08 EST
Latest upstream release: 0.15.3
Current version/release in Fedora Rawhide: 0.10.2-12.fc20
URL: http://rubygems.org/api/v1/gems/sup.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 6 Dan Callaghan 2014-02-03 18:25:04 EST
Latest sup needs rubygem-unicode, I've posted a package review request for it at bug 1060924.

rubygem-ncursesw is also needed, but it's not clear how much longer for -- there was a thread on the mailing list about merging the efforts back into the original ncurses ruby bindings.
Comment 7 Dan Callaghan 2014-02-03 19:17:42 EST
I also filed a review request for rubygem-gpgme as bug 1060929 (although that's an optional dependency and it's not new in sup 0.15).
Comment 8 Upstream Release Monitoring 2014-02-06 09:16:53 EST
Latest upstream release: 0.15.4
Current version/release in Fedora Rawhide: 0.10.2-12.fc20
URL: http://rubygems.org/api/v1/gems/sup.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 9 Upstream Release Monitoring 2014-03-21 15:21:15 EDT
Latest upstream release: 0.16.0
Current version/release in Fedora Rawhide: 0.10.2-12.fc20
URL: http://rubygems.org/api/v1/gems/sup.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 10 Upstream Release Monitoring 2014-04-14 05:37:40 EDT
Latest upstream release: 0.17.0
Current version/release in Fedora Rawhide: 0.10.2-12.fc20
URL: http://rubygems.org/api/v1/gems/sup.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 11 Upstream Release Monitoring 2014-05-23 08:03:09 EDT
Latest upstream release: 0.18.0
Current version/release in Fedora Rawhide: 0.10.2-12.fc20
URL: http://rubygems.org/api/v1/gems/sup.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 12 Upstream Release Monitoring 2014-07-06 11:25:53 EDT
Latest upstream release: 0.19.0
Current version/release in Fedora Rawhide: 0.10.2-13.fc21
URL: http://rubygems.org/api/v1/gems/sup.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 13 Upstream Release Monitoring 2014-10-08 08:22:45 EDT
Latest upstream release: 0.20.0
Current version/release in Fedora Rawhide: 0.10.2-13.fc21
URL: http://rubygems.org/api/v1/gems/sup.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.
Comment 14 Upstream Release Monitoring 2015-02-13 04:53:29 EST
Latest upstream release: 0.21.0
Current version/release in Fedora Rawhide: 0.10.2-13.fc21
URL: http://rubygems.org/api/v1/gems/sup.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.
Comment 15 Robert Buchholz 2015-03-19 08:19:20 EDT
The version shipped with f21 does not even start anymore due to pre Ruby 2.1 curses dependencies. Might as well remove the package, everyone using this is probably using the rubygem directly.
Comment 16 Dan Callaghan 2015-03-19 18:52:29 EDT
Well I would rather use a packaged version, we just need to get it up to date. :-)

Shreyank, if you're not interested in maintaining this package anymore I can take it over?
Comment 17 Upstream Release Monitoring 2015-05-01 03:31:50 EDT
kumarpraveen's rubygem-sup-0.21.0-1.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=632343
Comment 18 Upstream Release Monitoring 2015-06-16 09:27:13 EDT
Latest upstream release: 0.22.0
Current version/release in rawhide: 0.21.0-1.fc23
URL: http://rubygems.org/gems/sup

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 19 Upstream Release Monitoring 2015-06-16 09:27:24 EDT
Created attachment 1039488 [details]
[patch] Update to 0.22.0 (#1003402)
Comment 20 Upstream Release Monitoring 2015-06-16 09:28:46 EDT
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=10070062
Comment 21 Upstream Release Monitoring 2015-06-18 09:28:15 EDT
Latest upstream release: 0.22.1
Current version/release in rawhide: 0.21.0-1.fc23
URL: http://rubygems.org/gems/sup

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 22 Upstream Release Monitoring 2015-06-18 09:28:24 EDT
Created attachment 1040493 [details]
[patch] Update to 0.22.1 (#1003402)
Comment 23 Upstream Release Monitoring 2015-06-18 09:41:30 EDT
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=10135169
Comment 24 Vít Ondruch 2015-09-03 01:37:01 EDT
*** Bug 681832 has been marked as a duplicate of this bug. ***
Comment 25 Vít Ondruch 2015-09-03 01:45:53 EDT
I just submitted update for F23 [1] fixing the most obvious issues of sup. But the review of rubygem-ncursesw must be done (here is the previous attempt [2]). I guess that the merge with Ruby's curses mentioned in Comment #6 wont happen any time soon [3].

BTW the ruby-ncurses should be probably deprecated by rubygem-ncursesw ...


[1] https://bodhi.fedoraproject.org/updates/ruby-ncurses-1.3.1-16.fc23%20rubygem-sup-0.21.0-3.fc23
[2] https://bugzilla.redhat.com/show_bug.cgi?id=597709
[3] https://github.com/sup-heliotrope/ncursesw-ruby/issues/22
Comment 26 Vít Ondruch 2015-09-03 01:49:51 EDT
BTW feel free to backport the changes I made for F23 [1] to F2{1,2} and I can do the build. I'm not sup user myself and there are some unpushed updates for F2{1,2}, so I just did the fixes to fix the broken dependency ;) 


[1] http://pkgs.fedoraproject.org/cgit/rubygem-sup.git/commit/?id=e41c322996551f2c0041465a687a8fce5cc12120
Comment 27 Vít Ondruch 2015-09-03 01:53:22 EDT
(In reply to Dan Callaghan from comment #16)
> Shreyank, if you're not interested in maintaining this package anymore I can
> take it over?

BTW Since you seems to care about Sup, you can't make a mistake by asking for commit bit ;)
Comment 28 Dan Callaghan 2015-09-08 21:38:10 EDT
(In reply to Vít Ondruch from comment #27)

Yes good point. I requested commit access in pkgdb.

I will try and find some time to do something about rubygem-ncursesw and the old open review I have for rubygem-gpgme.
Comment 29 Jun Aruga 2016-07-15 09:50:35 EDT
I uploaded the patch supporting 1.x <= mime-types <= 3.x
https://bugzilla.redhat.com/show_bug.cgi?id=1357017

After this patch, we can remove this page's "Depends On: 907393".

Note You need to log in before you can comment on or make changes to this bug.